databaseChangeLog:
  - changeSet:
      id: Create cards table
      author: Ali Naghiyev
      changes:
        - createTable:
            tableName: cards
            columns:
              - column:
                  name: id
                  type: bigint
                  autoIncrement: true
                  constraints:
                    primaryKey: true
                    nullable: false
              - column:
                  name: card_number
                  type: varchar(500)
                  constraints:
                    unique: true
              - column:
                  name: expiration_date
                  type: varchar(500)
              - column:
                  name: cvv
                  type: varchar(500)
              - column:
                  name: card_uuid
                  type: varchar(500)
              - column:
                  name: user_uuid
                  type: varchar(500)
              - column:
                  name: balance
                  type: numeric(16,2)
              - column:
                  name: created_at
                  type: timestamp
                  defaultValue: now()
                  constraints:
                    nullable: false
              - column:
                  name: updated_at
                  type: timestamp
                  defaultValue: now()
                  constraints:
                    nullable: false

            remarks: Table to store information about cards